commit:     1bfe30d95f6ed687d8632218008c38efa23706bb
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 20 13:44:29 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Jul 20 13:46:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bfe30d9

www-client/firefox: check requirements only for non-binary merges

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 www-client/firefox/firefox-68.10.0.ebuild | 66 ++++++++++++++++---------------
 www-client/firefox/firefox-78.0.2.ebuild  | 66 ++++++++++++++++---------------
 2 files changed, 70 insertions(+), 62 deletions(-)

diff --git a/www-client/firefox/firefox-68.10.0.ebuild 
b/www-client/firefox/firefox-68.10.0.ebuild
index 3aeb9504f10..87f57c81205 100644
--- a/www-client/firefox/firefox-68.10.0.ebuild
+++ b/www-client/firefox/firefox-68.10.0.ebuild
@@ -228,43 +228,51 @@ llvm_check_deps() {
 }
 
 pkg_pretend() {
-       if use pgo ; then
-               if ! has usersandbox $FEATURES ; then
-                       die "You must enable usersandbox as X server can not 
run as root!"
+       if [[ ${MERGE_TYPE} != binary ]] ; then
+               if use pgo ; then
+                       if ! has usersandbox $FEATURES ; then
+                               die "You must enable usersandbox as X server 
can not run as root!"
+                       fi
                fi
-       fi
 
-       # Ensure we have enough disk space to compile
-       if use pgo || use lto || use debug || use test ; then
-               CHECKREQS_DISK_BUILD="8G"
-       else
-               CHECKREQS_DISK_BUILD="4G"
-       fi
+               # Ensure we have enough disk space to compile
+               if use pgo || use lto || use debug || use test ; then
+                       CHECKREQS_DISK_BUILD="8G"
+               else
+                       CHECKREQS_DISK_BUILD="4G"
+               fi
 
-       check-reqs_pkg_pretend
+               check-reqs_pkg_pretend
+       fi
 }
 
 pkg_setup() {
        moz_pkgsetup
 
-       # Ensure we have enough disk space to compile
-       if use pgo || use lto || use debug || use test ; then
-               CHECKREQS_DISK_BUILD="8G"
-       else
-               CHECKREQS_DISK_BUILD="4G"
-       fi
+       if [[ ${MERGE_TYPE} != binary ]] ; then
+               # Ensure we have enough disk space to compile
+               if use pgo || use lto || use debug || use test ; then
+                       CHECKREQS_DISK_BUILD="8G"
+               else
+                       CHECKREQS_DISK_BUILD="4G"
+               fi
+
+               check-reqs_pkg_setup
 
-       check-reqs_pkg_setup
+               # Avoid PGO profiling problems due to enviroment leakage
+               # These should *always* be cleaned up anyway
+               unset DBUS_SESSION_BUS_ADDRESS \
+                       DISPLAY \
+                       ORBIT_SOCKETDIR \
+                       SESSION_MANAGER \
+                       XDG_CACHE_HOME \
+                       XDG_SESSION_COOKIE \
+                       XAUTHORITY
 
-       # Avoid PGO profiling problems due to enviroment leakage
-       # These should *always* be cleaned up anyway
-       unset DBUS_SESSION_BUS_ADDRESS \
-               DISPLAY \
-               ORBIT_SOCKETDIR \
-               SESSION_MANAGER \
-               XDG_CACHE_HOME \
-               XDG_SESSION_COOKIE \
-               XAUTHORITY
+               addpredict /proc/self/oom_score_adj
+
+               llvm_pkg_setup
+       fi
 
        if ! use bindist ; then
                einfo
@@ -273,10 +281,6 @@ pkg_setup() {
                elog "a legal problem with Mozilla Foundation."
                elog "You can disable it by emerging ${PN} _with_ the bindist 
USE-flag."
        fi
-
-       addpredict /proc/self/oom_score_adj
-
-       llvm_pkg_setup
 }
 
 src_unpack() {

diff --git a/www-client/firefox/firefox-78.0.2.ebuild 
b/www-client/firefox/firefox-78.0.2.ebuild
index 1fcb4d3a725..ee6b26b18e8 100644
--- a/www-client/firefox/firefox-78.0.2.ebuild
+++ b/www-client/firefox/firefox-78.0.2.ebuild
@@ -226,43 +226,51 @@ llvm_check_deps() {
 }
 
 pkg_pretend() {
-       if use pgo ; then
-               if ! has usersandbox $FEATURES ; then
-                       die "You must enable usersandbox as X server can not 
run as root!"
+       if [[ ${MERGE_TYPE} != binary ]] ; then
+               if use pgo ; then
+                       if ! has usersandbox $FEATURES ; then
+                               die "You must enable usersandbox as X server 
can not run as root!"
+                       fi
                fi
-       fi
 
-       # Ensure we have enough disk space to compile
-       if use pgo || use lto || use debug || use test ; then
-               CHECKREQS_DISK_BUILD="10G"
-       else
-               CHECKREQS_DISK_BUILD="5G"
-       fi
+               # Ensure we have enough disk space to compile
+               if use pgo || use lto || use debug || use test ; then
+                       CHECKREQS_DISK_BUILD="10G"
+               else
+                       CHECKREQS_DISK_BUILD="5G"
+               fi
 
-       check-reqs_pkg_pretend
+               check-reqs_pkg_pretend
+       fi
 }
 
 pkg_setup() {
        moz_pkgsetup
 
-       # Ensure we have enough disk space to compile
-       if use pgo || use lto || use debug || use test ; then
-               CHECKREQS_DISK_BUILD="10G"
-       else
-               CHECKREQS_DISK_BUILD="5G"
-       fi
+       if [[ ${MERGE_TYPE} != binary ]] ; then
+               # Ensure we have enough disk space to compile
+               if use pgo || use lto || use debug || use test ; then
+                       CHECKREQS_DISK_BUILD="10G"
+               else
+                       CHECKREQS_DISK_BUILD="5G"
+               fi
+
+               check-reqs_pkg_setup
 
-       check-reqs_pkg_setup
+               # Avoid PGO profiling problems due to enviroment leakage
+               # These should *always* be cleaned up anyway
+               unset DBUS_SESSION_BUS_ADDRESS \
+                       DISPLAY \
+                       ORBIT_SOCKETDIR \
+                       SESSION_MANAGER \
+                       XDG_CACHE_HOME \
+                       XDG_SESSION_COOKIE \
+                       XAUTHORITY
 
-       # Avoid PGO profiling problems due to enviroment leakage
-       # These should *always* be cleaned up anyway
-       unset DBUS_SESSION_BUS_ADDRESS \
-               DISPLAY \
-               ORBIT_SOCKETDIR \
-               SESSION_MANAGER \
-               XDG_CACHE_HOME \
-               XDG_SESSION_COOKIE \
-               XAUTHORITY
+               addpredict /proc/self/oom_score_adj
+
+               llvm_pkg_setup
+       fi
 
        if ! use bindist ; then
                einfo
@@ -271,10 +279,6 @@ pkg_setup() {
                elog "a legal problem with Mozilla Foundation."
                elog "You can disable it by emerging ${PN} _with_ the bindist 
USE-flag."
        fi
-
-       addpredict /proc/self/oom_score_adj
-
-       llvm_pkg_setup
 }
 
 src_unpack() {

Reply via email to